Workflows
Get Workflow Version API
Retrieve the frozen definition of a published workflow version.
GET
/
workflows
/
{workflow_id}
/
versions
/
{version}
cURL
curl --request GET \
--url https://api.bolna.ai/workflows/{workflow_id}/versions/{version} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bolna.ai/workflows/{workflow_id}/versions/{version}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bolna.ai/workflows/{workflow_id}/versions/{version}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": 123,
"published_at": "2023-11-07T05:31:56Z",
"definition": {
"entry_node_id": "n_start",
"on_no_match": "n_end_unhandled",
"nodes": [
{
"id": "n_start",
"type": "start",
"config": {
"trigger": {
"kind": "manual"
}
},
"cases": [
{
"when": {
"always": true
},
"then": {
"to": "n_call1"
}
}
]
},
{
"id": "n_call1",
"type": "agent",
"name": "Qualify",
"config": {
"agent_id": "123e4567-e89b-12d3-a456-426655440000",
"timeout_s": 3600
},
"cases": [
{
"when": {
"cmp": "==",
"left": {
"var": "call.status"
},
"right": {
"const": "completed"
}
},
"then": {
"to": "n_end_done"
}
}
]
},
{
"id": "n_end_done",
"type": "end",
"config": {
"label": "reached",
"outcome": "success"
}
},
{
"id": "n_end_unhandled",
"type": "end",
"config": {
"label": "unhandled",
"outcome": "failure"
}
}
]
},
"warnings": [
{
"severity": "error",
"code": "unbounded_cycle",
"message": "<string>",
"node_id": "<string>",
"path": "<string>"
}
]
}{
"detail": {
"code": "revision_conflict",
"message": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique id of the workflow
The published version number
Required range:
x >= 1Response
The published version with its definition
The published version number.
The frozen definition. Populated when reading a version; null in the publish response.
Show child attributes
Show child attributes
Example:
{
"entry_node_id": "n_start",
"on_no_match": "n_end_unhandled",
"nodes": [
{
"id": "n_start",
"type": "start",
"config": { "trigger": { "kind": "manual" } },
"cases": [
{
"when": { "always": true },
"then": { "to": "n_call1" }
}
]
},
{
"id": "n_call1",
"type": "agent",
"name": "Qualify",
"config": {
"agent_id": "123e4567-e89b-12d3-a456-426655440000",
"timeout_s": 3600
},
"cases": [
{
"when": {
"cmp": "==",
"left": { "var": "call.status" },
"right": { "const": "completed" }
},
"then": { "to": "n_end_done" }
}
]
},
{
"id": "n_end_done",
"type": "end",
"config": { "label": "reached", "outcome": "success" }
},
{
"id": "n_end_unhandled",
"type": "end",
"config": {
"label": "unhandled",
"outcome": "failure"
}
}
]
}
Non-blocking issues found at publish.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
cURL

